## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.util
Class SybaseasabasesqlmodelSwitch

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.util.SybaseasabasesqlmodelSwitch

    public class SybaseasabasesqlmodelSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SybaseasabasesqlmodelPackage`

Constructor Summary
`SybaseasabasesqlmodelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseAuthorizationIdentifier(AuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Authorization Identifier'.
`java.lang.Object` `caseBaseTable(BaseTable object)` Returns the result of interpreting the object as an instance of 'Base Table'.
`java.lang.Object` `caseCheckConstraint(CheckConstraint object)` Returns the result of interpreting the object as an instance of 'Check Constraint'.
`java.lang.Object` `caseColumn(Column object)` Returns the result of interpreting the object as an instance of 'Column'.
`java.lang.Object` `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
`java.lang.Object` `caseDatabase(Database object)` Returns the result of interpreting the object as an instance of 'Database'.
`java.lang.Object` `caseDataType(DataType object)` Returns the result of interpreting the object as an instance of 'Data Type'.
`java.lang.Object` `caseDerivedTable(DerivedTable object)` Returns the result of interpreting the object as an instance of 'Derived Table'.
`java.lang.Object` `caseDistinctUserDefinedType(DistinctUserDefinedType object)` Returns the result of interpreting the object as an instance of 'Distinct User Defined Type'.
`java.lang.Object` `caseDomain(Domain object)` Returns the result of interpreting the object as an instance of 'Domain'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseEncryptionInfo(EncryptionInfo object)` Returns the result of interpreting the object as an instance of 'Encryption Info'.
`java.lang.Object` `caseEvent(Event object)` Returns the result of interpreting the object as an instance of 'Event'.
`java.lang.Object` `caseEventCondition(EventCondition object)` Returns the result of interpreting the object as an instance of 'Event Condition'.
`java.lang.Object` `caseForeignKey(ForeignKey object)` Returns the result of interpreting the object as an instance of 'Foreign Key'.
`java.lang.Object` `caseFunction(Function object)` Returns the result of interpreting the object as an instance of 'Function'.
`java.lang.Object` `caseGroup(Group object)` Returns the result of interpreting the object as an instance of 'Group'.
`java.lang.Object` `caseIndex(Index object)` Returns the result of interpreting the object as an instance of 'Index'.
`java.lang.Object` `caseParameter(Parameter object)` Returns the result of interpreting the object as an instance of 'Parameter'.
`java.lang.Object` `casePersistentTable(PersistentTable object)` Returns the result of interpreting the object as an instance of 'Persistent Table'.
`java.lang.Object` `casePredefinedDataType(PredefinedDataType object)` Returns the result of interpreting the object as an instance of 'Predefined Data Type'.
`java.lang.Object` `casePrimaryKey(PrimaryKey object)` Returns the result of interpreting the object as an instance of 'Primary Key'.
`java.lang.Object` `caseProcedure(Procedure object)` Returns the result of interpreting the object as an instance of 'Procedure'.
`java.lang.Object` `caseReferenceConstraint(ReferenceConstraint object)` Returns the result of interpreting the object as an instance of 'Reference Constraint'.
`java.lang.Object` `caseRoutine(Routine object)` Returns the result of interpreting the object as an instance of 'Routine'.
`java.lang.Object` `caseSchedule(Schedule object)` Returns the result of interpreting the object as an instance of 'Schedule'.
`java.lang.Object` `caseSchema(Schema object)` Returns the result of interpreting the object as an instance of 'Schema'.
`java.lang.Object` `caseSQLDataType(SQLDataType object)` Returns the result of interpreting the object as an instance of 'SQL Data Type'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSybaseASABaseColumn(SybaseASABaseColumn object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Column'.
`java.lang.Object` `caseSybaseASABaseColumnCheckConstraint(SybaseASABaseColumnCheckConstraint object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Column Check Constraint'.
`java.lang.Object` `caseSybaseASABaseDatabase(SybaseASABaseDatabase object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Database'.
`java.lang.Object` `caseSybaseASABaseDBSpace(SybaseASABaseDBSpace object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base DB Space'.
`java.lang.Object` `caseSybaseASABaseEvent(SybaseASABaseEvent object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Event'.
`java.lang.Object` `caseSybaseASABaseForeignKey(SybaseASABaseForeignKey object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Foreign Key'.
`java.lang.Object` `caseSybaseASABaseFunction(SybaseASABaseFunction object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Function'.
`java.lang.Object` `caseSybaseASABaseGroup(SybaseASABaseGroup object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Group'.
`java.lang.Object` `caseSybaseASABaseIndex(SybaseASABaseIndex object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Index'.
`java.lang.Object` `caseSybaseASABaseParameter(SybaseASABaseParameter object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Parameter'.
`java.lang.Object` `caseSybaseASABasePredefinedDataType(SybaseASABasePredefinedDataType object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Predefined Data Type'.
`java.lang.Object` `caseSybaseASABasePrimaryKey(SybaseASABasePrimaryKey object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Primary Key'.
`java.lang.Object` `caseSybaseASABaseProcedure(SybaseASABaseProcedure object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Procedure'.
`java.lang.Object` `caseSybaseASABaseProxyTable(SybaseASABaseProxyTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Proxy Table'.
`java.lang.Object` `caseSybaseASABaseRemoteProcedure(SybaseASABaseRemoteProcedure object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Remote Procedure'.
`java.lang.Object` `caseSybaseASABaseSchema(SybaseASABaseSchema object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Schema'.
`java.lang.Object` `caseSybaseASABaseTable(SybaseASABaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Table'.
`java.lang.Object` `caseSybaseASABaseTempTable(SybaseASABaseTempTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Temp Table'.
`java.lang.Object` `caseSybaseASABaseTrigger(SybaseASABaseTrigger object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Trigger'.
`java.lang.Object` `caseSybaseASABaseUniqueConstraint(SybaseASABaseUniqueConstraint object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Unique Constraint'.
`java.lang.Object` `caseSybaseASABaseUser(SybaseASABaseUser object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base User'.
`java.lang.Object` `caseSybaseASABaseUserDefinedType(SybaseASABaseUserDefinedType object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base User Defined Type'.
`java.lang.Object` `caseSybaseASABaseViewTable(SybaseASABaseViewTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base View Table'.
`java.lang.Object` `caseSybaseASADefaultWrapper(SybaseASADefaultWrapper object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Default Wrapper'.
`java.lang.Object` `caseSybaseASAWebService(SybaseASAWebService object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Web Service'.
`java.lang.Object` `caseSybaseAuthorizationIdentifier(SybaseAuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Sybase Authorization Identifier'.
`java.lang.Object` `caseSybaseAuthorizedObject(SybaseAuthorizedObject object)` Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'.
`java.lang.Object` `caseSybaseBaseTable(SybaseBaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase Base Table'.
`java.lang.Object` `caseSybaseParameter(SybaseParameter object)` Returns the result of interpreting the object as an instance of 'Sybase Parameter'.
`java.lang.Object` `caseSybaseRoutine(SybaseRoutine object)` Returns the result of interpreting the object as an instance of 'Sybase Routine'.
`java.lang.Object` `caseSybaseViewTable(SybaseViewTable object)` Returns the result of interpreting the object as an instance of 'Sybase View Table'.
`java.lang.Object` `caseTable(Table object)` Returns the result of interpreting the object as an instance of 'Table'.
`java.lang.Object` `caseTableConstraint(TableConstraint object)` Returns the result of interpreting the object as an instance of 'Table Constraint'.
`java.lang.Object` `caseTemporaryTable(TemporaryTable object)` Returns the result of interpreting the object as an instance of 'Temporary Table'.
`java.lang.Object` `caseTrigger(Trigger object)` Returns the result of interpreting the object as an instance of 'Trigger'.
`java.lang.Object` `caseTypedElement(TypedElement object)` Returns the result of interpreting the object as an instance of 'Typed Element'.
`java.lang.Object` `caseUniqueConstraint(UniqueConstraint object)` Returns the result of interpreting the object as an instance of 'Unique Constraint'.
`java.lang.Object` `caseUser(User object)` Returns the result of interpreting the object as an instance of 'User'.
`java.lang.Object` `caseUserDefinedFunction(UserDefinedFunction object)` Returns the result of interpreting the object as an instance of 'User Defined Function'.
`java.lang.Object` `caseUserDefinedType(UserDefinedType object)` Returns the result of interpreting the object as an instance of 'User Defined Type'.
`java.lang.Object` `caseViewTable(ViewTable object)` Returns the result of interpreting the object as an instance of 'View Table'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseasabasesqlmodelSwitch

    public SybaseasabasesqlmodelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSybaseASABaseEvent

    public java.lang.Object caseSybaseASABaseEvent(SybaseASABaseEvent object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Event'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseDatabase

    public java.lang.Object caseSybaseASABaseDatabase(SybaseASABaseDatabase object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Database'.
  See Also:
    `doSwitch(EObject)`

### caseEncryptionInfo

    public java.lang.Object caseEncryptionInfo(EncryptionInfo object)

  Returns the result of interpreting the object as an instance of 'Encryption Info'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Encryption Info'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseUserDefinedType

    public java.lang.Object caseSybaseASABaseUserDefinedType(SybaseASABaseUserDefinedType object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABasePredefinedDataType

    public java.lang.Object caseSybaseASABasePredefinedDataType(SybaseASABasePredefinedDataType object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Predefined Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Predefined Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseTable

    public java.lang.Object caseSybaseASABaseTable(SybaseASABaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseColumn

    public java.lang.Object caseSybaseASABaseColumn(SybaseASABaseColumn object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Column'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseUniqueConstraint

    public java.lang.Object caseSybaseASABaseUniqueConstraint(SybaseASABaseUniqueConstraint object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Unique Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Unique Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABasePrimaryKey

    public java.lang.Object caseSybaseASABasePrimaryKey(SybaseASABasePrimaryKey object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Primary Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Primary Key'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseForeignKey

    public java.lang.Object caseSybaseASABaseForeignKey(SybaseASABaseForeignKey object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Foreign Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Foreign Key'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseIndex

    public java.lang.Object caseSybaseASABaseIndex(SybaseASABaseIndex object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Index'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseDBSpace

    public java.lang.Object caseSybaseASABaseDBSpace(SybaseASABaseDBSpace object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base DB Space'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base DB Space'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseViewTable

    public java.lang.Object caseSybaseASABaseViewTable(SybaseASABaseViewTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base View Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseFunction

    public java.lang.Object caseSybaseASABaseFunction(SybaseASABaseFunction object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Function'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseProcedure

    public java.lang.Object caseSybaseASABaseProcedure(SybaseASABaseProcedure object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Procedure'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseTempTable

    public java.lang.Object caseSybaseASABaseTempTable(SybaseASABaseTempTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Temp Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Temp Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseTrigger

    public java.lang.Object caseSybaseASABaseTrigger(SybaseASABaseTrigger object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Trigger'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseProxyTable

    public java.lang.Object caseSybaseASABaseProxyTable(SybaseASABaseProxyTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Proxy Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Proxy Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseColumnCheckConstraint

    public java.lang.Object caseSybaseASABaseColumnCheckConstraint(SybaseASABaseColumnCheckConstraint object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Column Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Column Check Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASAWebService

    public java.lang.Object caseSybaseASAWebService(SybaseASAWebService object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Web Service'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Web Service'.
  See Also:
    `doSwitch(EObject)`

### caseSchedule

    public java.lang.Object caseSchedule(Schedule object)

  Returns the result of interpreting the object as an instance of 'Schedule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schedule'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseRemoteProcedure

    public java.lang.Object caseSybaseASABaseRemoteProcedure(SybaseASABaseRemoteProcedure object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Remote Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Remote Procedure'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseParameter

    public java.lang.Object caseSybaseASABaseParameter(SybaseASABaseParameter object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseGroup

    public java.lang.Object caseSybaseASABaseGroup(SybaseASABaseGroup object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Group'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseSchema

    public java.lang.Object caseSybaseASABaseSchema(SybaseASABaseSchema object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Schema'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseUser

    public java.lang.Object caseSybaseASABaseUser(SybaseASABaseUser object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base User'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base User'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASADefaultWrapper

    public java.lang.Object caseSybaseASADefaultWrapper(SybaseASADefaultWrapper object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Default Wrapper'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Default Wrapper'.
  See Also:
    `doSwitch(EObject)`

### caseEventCondition

    public java.lang.Object caseEventCondition(EventCondition object)

  Returns the result of interpreting the object as an instance of 'Event Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Event Condition'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseEvent

    public java.lang.Object caseEvent(Event object)

  Returns the result of interpreting the object as an instance of 'Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Event'.
  See Also:
    `doSwitch(EObject)`

### caseDatabase

    public java.lang.Object caseDatabase(Database object)

  Returns the result of interpreting the object as an instance of 'Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Database'.
  See Also:
    `doSwitch(EObject)`

### caseDataType

    public java.lang.Object caseDataType(DataType object)

  Returns the result of interpreting the object as an instance of 'Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseUserDefinedType

    public java.lang.Object caseUserDefinedType(UserDefinedType object)

  Returns the result of interpreting the object as an instance of 'User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseDistinctUserDefinedType

    public java.lang.Object caseDistinctUserDefinedType(DistinctUserDefinedType object)

  Returns the result of interpreting the object as an instance of 'Distinct User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Distinct User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseDomain

    public java.lang.Object caseDomain(Domain object)

  Returns the result of interpreting the object as an instance of 'Domain'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Domain'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataType

    public java.lang.Object caseSQLDataType(SQLDataType object)

  Returns the result of interpreting the object as an instance of 'SQL Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Data Type'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedDataType

    public java.lang.Object casePredefinedDataType(PredefinedDataType object)

  Returns the result of interpreting the object as an instance of 'Predefined Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Predefined Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseTable

    public java.lang.Object caseTable(Table object)

  Returns the result of interpreting the object as an instance of 'Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table'.
  See Also:
    `doSwitch(EObject)`

### caseBaseTable

    public java.lang.Object caseBaseTable(BaseTable object)

  Returns the result of interpreting the object as an instance of 'Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Base Table'.
  See Also:
    `doSwitch(EObject)`

### casePersistentTable

    public java.lang.Object casePersistentTable(PersistentTable object)

  Returns the result of interpreting the object as an instance of 'Persistent Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Persistent Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizedObject

    public java.lang.Object caseSybaseAuthorizedObject(SybaseAuthorizedObject object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorized Object'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseBaseTable

    public java.lang.Object caseSybaseBaseTable(SybaseBaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement object)

  Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseColumn

    public java.lang.Object caseColumn(Column object)

  Returns the result of interpreting the object as an instance of 'Column'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Column'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public java.lang.Object caseConstraint(Constraint object)

  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTableConstraint

    public java.lang.Object caseTableConstraint(TableConstraint object)

  Returns the result of interpreting the object as an instance of 'Table Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseReferenceConstraint

    public java.lang.Object caseReferenceConstraint(ReferenceConstraint object)

  Returns the result of interpreting the object as an instance of 'Reference Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reference Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseUniqueConstraint

    public java.lang.Object caseUniqueConstraint(UniqueConstraint object)

  Returns the result of interpreting the object as an instance of 'Unique Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unique Constraint'.
  See Also:
    `doSwitch(EObject)`

### casePrimaryKey

    public java.lang.Object casePrimaryKey(PrimaryKey object)

  Returns the result of interpreting the object as an instance of 'Primary Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primary Key'.
  See Also:
    `doSwitch(EObject)`

### caseForeignKey

    public java.lang.Object caseForeignKey(ForeignKey object)

  Returns the result of interpreting the object as an instance of 'Foreign Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Foreign Key'.
  See Also:
    `doSwitch(EObject)`

### caseIndex

    public java.lang.Object caseIndex(Index object)

  Returns the result of interpreting the object as an instance of 'Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index'.
  See Also:
    `doSwitch(EObject)`

### caseDerivedTable

    public java.lang.Object caseDerivedTable(DerivedTable object)

  Returns the result of interpreting the object as an instance of 'Derived Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Derived Table'.
  See Also:
    `doSwitch(EObject)`

### caseViewTable

    public java.lang.Object caseViewTable(ViewTable object)

  Returns the result of interpreting the object as an instance of 'View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseViewTable

    public java.lang.Object caseSybaseViewTable(SybaseViewTable object)

  Returns the result of interpreting the object as an instance of 'Sybase View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase View Table'.
  See Also:
    `doSwitch(EObject)`

### caseRoutine

    public java.lang.Object caseRoutine(Routine object)

  Returns the result of interpreting the object as an instance of 'Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Routine'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseRoutine

    public java.lang.Object caseSybaseRoutine(SybaseRoutine object)

  Returns the result of interpreting the object as an instance of 'Sybase Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Routine'.
  See Also:
    `doSwitch(EObject)`

### caseFunction

    public java.lang.Object caseFunction(Function object)

  Returns the result of interpreting the object as an instance of 'Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Function'.
  See Also:
    `doSwitch(EObject)`

### caseUserDefinedFunction

    public java.lang.Object caseUserDefinedFunction(UserDefinedFunction object)

  Returns the result of interpreting the object as an instance of 'User Defined Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'User Defined Function'.
  See Also:
    `doSwitch(EObject)`

### caseProcedure

    public java.lang.Object caseProcedure(Procedure object)

  Returns the result of interpreting the object as an instance of 'Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Procedure'.
  See Also:
    `doSwitch(EObject)`

### caseTemporaryTable

    public java.lang.Object caseTemporaryTable(TemporaryTable object)

  Returns the result of interpreting the object as an instance of 'Temporary Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Temporary Table'.
  See Also:
    `doSwitch(EObject)`

### caseTrigger

    public java.lang.Object caseTrigger(Trigger object)

  Returns the result of interpreting the object as an instance of 'Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Trigger'.
  See Also:
    `doSwitch(EObject)`

### caseCheckConstraint

    public java.lang.Object caseCheckConstraint(CheckConstraint object)

  Returns the result of interpreting the object as an instance of 'Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Check Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseParameter

    public java.lang.Object caseParameter(Parameter object)

  Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseParameter

    public java.lang.Object caseSybaseParameter(SybaseParameter object)

  Returns the result of interpreting the object as an instance of 'Sybase Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseAuthorizationIdentifier

    public java.lang.Object caseAuthorizationIdentifier(AuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseUser

    public java.lang.Object caseUser(User object)

  Returns the result of interpreting the object as an instance of 'User'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'User'.
  See Also:
    `doSwitch(EObject)`

### caseGroup

    public java.lang.Object caseGroup(Group object)

  Returns the result of interpreting the object as an instance of 'Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Group'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizationIdentifier

    public java.lang.Object caseSybaseAuthorizationIdentifier(SybaseAuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseSchema

    public java.lang.Object caseSchema(Schema object)

  Returns the result of interpreting the object as an instance of 'Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`